Skip to main content
PATCH
/
work-orders
/
{id}
/
approvals
Approve or Reject Review
curl --request PATCH \
  --url https://api.serial.io/work-orders/{id}/approvals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "approver_user_id": "cddaa2ad-a813-4e07-9ada-2d9c5fa02907",
  "status": "APPROVED",
  "comment": "Looks good! Let's get this going"
}
EOF
import requests

url = "https://api.serial.io/work-orders/{id}/approvals"

payload = {
"approver_user_id": "cddaa2ad-a813-4e07-9ada-2d9c5fa02907",
"status": "APPROVED",
"comment": "Looks good! Let's get this going"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
approver_user_id: 'cddaa2ad-a813-4e07-9ada-2d9c5fa02907',
status: 'APPROVED',
comment: 'Looks good! Let\'s get this going'
})
};

fetch('https://api.serial.io/work-orders/{id}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

API Key or Token formatted as Bearer <YOUR_KEY_OR_TOKEN>

Path Parameters

id
string
required

The work order UUID (work_order.id) or work order number (work_order.wo_number). Both will map to the same work order

Body

application/json
approver_user_id
string<uuid>
required
status
enum<string>
required
Available options:
APPROVED,
REJECTED
comment
string

Response

OK